﻿@using WebSiteASP.Models.Product
@using Model.Entity.Product
@model ProductVM

@{
    ViewBag.Title = "Add Product Page";
}

<section class="card">
    <article class="card-body">
        <h1>Ajout d'un Produit</h1>

        @using (Html.BeginForm("Add", "Detail"))
        {
            @Html.AntiForgeryToken()

            <div class="form-horizontal">
                <h4>Student</h4>
                <hr />
                @Html.ValidationSummary(true, "Error", new { @class = "text-danger" })

                <div class="form-group">
                    @Html.LabelFor(Model => Model.Product.Code, new { @class = "control-label" })
                    <div>
                        @Html.TextBox("Code", Model.Product.Code, new { @class = "form-control" })
                    </div>
                </div>
                
                <div class="form-group">
                    @Html.LabelFor(Model => Model.Product.Label, new { @class = "control-label" })
                    <div>
                        @Html.TextBox("Label", Model.Product.Label, new { @class = "form-control" })
                    </div>
                </div>

                <div class="form-group">
                    @Html.LabelFor(Model => Model.Product.Description, new { @class = "control-label" })
                    <div>
                        @Html.TextBox("Description", Model.Product.Description, new { @class = "form-control" })
                    </div>
                </div>

                <div class="form-group d-inline-center">
                    @Html.LabelFor(Model => Model.Product.Actif, new { @class = "control-label d-inline w-auto p-10" })
                    @Html.CheckBox("Actif", Model.Product.Actif, new { @class = "form-control d-inline w-auto p-10" })
                </div>  

                <div class="form-group d-inline-center">
                    @Html.DropDownList("CategoryId", 
                        new SelectList(Model.Categories, "Id", "Label")
                        , "Select Category"
                    )
                </div>

                <div class="form-group d-inline-center">
                    <input type="submit" value="Save" class="btn btn-primary" />
                </div>
            </div>
        }

    </article>
</section>